import request from '@/utils/request'

// 会员编号修改列表
export function getPuCodeList(params) {
  return request({
    url: '/member/manager/updatecode/puCodeList',
    method: 'get',
    params
  })
}

// 选择会员进行修改会员
export function selectedUpadateCode(data) {
  return request({
    url: '/member/manager/updatecode/selected',
    method: 'post',
    data
  })
}

// 修改会员编号
export function saveUpdateCode(data) {
  return request({
    url: '/member/manager/updatecode/updateCode',
    method: 'post',
    data
  })
}

// 修改安置列表
export function getUpdatePlaceParentList(params) {
  return request({
    url: '/member/manage/update-place-parent/list',
    method: 'get',
    params
  })
}

// 修改安置弹窗列表
export function getChargingDetail(data) {
  return request({
    url: '/member/manage/update-place-parent/get-member-charging-detail',
    method: 'post',
    data
  })
}

// 修改安置
export function updatePlaceParent(data) {
  return request({
    url: '/member/manage/update-place-parent/update-place-parent',
    method: 'post',
    data
  })
}

// 修改安置点按钮之前调接口提示
export function checkMemberFirstOrder(data) {
  return request({
    url: '/member/manage/update-place-parent/check-member-first-order',
    method: 'post',
    data
  })
}

// 修改安置前校验
export function checkUpdatePlaceParent(data) {
  return request({
    url: '/member/manage/update-place-parent/check-member-place-parent',
    method: 'post',
    data
  })
}

// 修改直推
export function updateParent(data) {
  return request({
    url: '/member/manage/update-parent/update-parent',
    method: 'post',
    data
  })
}

// 修改直推前校验
export function checkUpdateParent(data) {
  return request({
    url: '/member/manage/update-parent/check-member-parent',
    method: 'post',
    data
  })
}

// 修改直推列表
export function getUpdateParentList(params) {
  return request({
    url: '/member/manage/update-parent/list',
    method: 'get',
    params
  })
}

// 修改直推弹框列表
export function getMemberChargingDetail(data) {
  return request({
    url: '/member/manage/update-parent/get-member-charging-detail',
    method: 'post',
    data
  })
}

// 证件类型下拉选
export function getCardTypeList(params) {
  return request({
    url: '/system/pub/enums/get-card-type',
    method: 'get',
    params
  })
}
// 会员业务范围
export function businessScope(params) {
  return request({
    url: '/system/pub/enums/business-scope',
    method: 'get',
    params
  })
}

// 申请级别下拉选
export function getGradeAllList(params) {
  return request({
    url: '/system/manage/grade/gradeRanglist',
    method: 'get',
    params
  })
}

// 银行卡下拉选
export function getBankFindAll(params) {
  return request({
    url: '/system/manage/bank/find-all',
    method: 'get',
    params
  })
}

// 自然/结算国家下拉选
export function getCountryFindAll(params) {
  return request({
    url: '/system/manage/country/find-all',
    method: 'get',
    params
  })
}

// 注水状态
export function getWaterStatus(params) {
  return request({
    url: '/system/pub/enums/get-activityStatus',
    method: 'get',
    params
  })
}

// 安置位置
export function getPlacedeptList(params) {
  return request({
    url: '/system/pub/enums/placedept',
    method: 'get',
    params
  })
}

// 空单注册
export function getRegisterEnptyOrder(data) {
  return request({
    url: '/sale/manage/order/register-empty-order',
    method: 'post',
    data
  })
}

// 空单注册商品列表
export function getWaresList(params) {
  return request({
    url: '/sale/manage/wares/get-wares-list',
    method: 'get',
    params
  })
}

// 商品选择点击确认
export function emptyOrderWares(data) {
  return request({
    url: '/sale/manage/wares/get-empty-order-wares',
    method: 'post',
    data
  })
}

// 修改结算国家列表
export function getupseCountryList(params) {
  return request({
    url: '/member/manage/update-settle-country/upseCountryList',
    method: 'get',
    params
  })
}

// 修改结算国弹框列表
export function getselectedCountry(data) {
  return request({
    url: '/member/manage/update-settle-country/selected',
    method: 'post',
    data
  })
}

// 修改结算国
export function updateSettleCountry(data) {
  return request({
    url: '/member/manage/update-settle-country/updateSettleCountry',
    method: 'post',
    data
  })
}

// 注水业绩列表
export function getMmeberAchieveList(params) {
  return request({
    url: '/member/manager/member-achieve-log/list',
    method: 'get',
    params
  })
}
// 真实奖衔下拉
export function awardsList(params) {
  return request({
    url: '/system/manage/awards/awardsList',
    method: 'get',
    params
  })
}
// 真实奖衔列表
export function awardsControlList(params) {
  return request({
    url: '/member/manage/awards-control/list',
    method: 'get',
    params
  })
}
// 真实奖衔搜索
export function memberlist(params) {
  return request({
    url: '/member/manage/awards-control/memberlist',
    method: 'get',
    params
  })
}
// 单人批量操作下拉
export function batchType(params) {
  return request({
    url: '/system/pub/enums/batch-type',
    method: 'get',
    params
  })
}
// 真实奖衔导入
export function importData(data) {
  return request({
    url: '/member/manage/awards-control/importData',
    method: 'post',
    data
  })
}
// 修改政策币导入
export function policyImportData(data) {
  return request({
    url: '/member/manage/update-policy-currency/importData',
    method: 'post',
    data
  })
}
// 政策币列表
export function policyList(params) {
  return request({
    url: '/member/manage/update-policy-currency/list',
    method: 'get',
    params
  })
}
// 分红配置列表
export function queryShareBonus(data) {
  return request({
    url: '/bonus/manage/bonus/query-share-bonus',
    method: 'post',
    data
  })
}
// 分红配置保存
export function saveShareBonus(data) {
  return request({
    url: '/bonus/manage/bonus/save-share-bonus',
    method: 'post',
    data
  })
}
// 政策币搜索
export function policySelted(data) {
  return request({
    url: '/member/manage/update-policy-currency/selected',
    method: 'post',
    data
  })
}
// 真实奖衔确认
export function affirm(data) {
  return request({
    url: '/member/manage/awards-control/affirm',
    method: 'post',
    data
  })
}

// 单笔批量

export function getEmusBatchType(params) {
  return request({
    url: '/system/pub/enums/batch-type',
    method: 'get',
    params
  })
}

// 注水类型枚举查询
export function getMemberAchieve(params) {
  return request({
    url: '/system/pub/enums/member-achieve',
    method: 'get',
    params
  })
}

// 注水方式
export function getMemberWaterType(params) {
  return request({
    url: '/system/pub/enums/member-watertype',
    method: 'get',
    params
  })
}

// 搜索注水业绩会员
export function getAchieveSearchList(params) {
  return request({
    url: '/member/manager/member-achieve-log/searchList',
    method: 'get',
    params
  })
}

// 注水业绩签呈
export function saveInfusingWater(data) {
  return request({
    url: '/member/manager/member-achieve-log/infusingWater',
    method: 'post',
    data
  })
}

// 注册等级
export function getgradeRanglist(params) {
  return request({
    url: '/system/pub/enums/grade',
    method: 'get',
    params
  })
}
// 奖衔
export function getAwardlist(params) {
  return request({
    url: '/system/pub/enums/award',
    method: 'get',
    params
  })
}
// 国家
export function userCountryList(params) {
  return request({
    url: '/system/manage/user-country/list',
    method: 'get',
    params
  })
}
// 地区
export function findAllArea(params) {
  return request({
    url: '/system/manage/area/find-all',
    method: 'get',
    params
  })
}
// 是否接口
export function getEYesNoList(params) {
  return request({
    url: '/system/pub/enums/dealer-yes-no',
    method: 'get',
    params
  })
}
// 订单来源
export function orderSource(params) {
  return request({
    url: '/system/pub/enums/get-order-source',
    method: 'get',
    params
  })
}
// 产品列表
export function getProductAll(params) {
  return request({
    url: '/sale/manage/product/all',
    method: 'get',
    params
  })
}
// 规格
export function getProductCodeSpecs(data) {
  return request({
    url: '/sale/manage/product/get-product-code-specs',
    method: 'post',
    data
  })
}
// 空单注册生产
export function createData(data) {
  return request({
    url: '/member/manage/member-empty/create-data',
    method: 'post',
    data
  })
}
// 生成列表
export function createList(params) {
  return request({
    url: '/member/manage/member-empty/create-list',
    method: 'get',
    params
  })
}
// 生成列表删除
export function createListDel(params) {
  return request({
    url: '/member/manage/member-empty/' + params.pkIdList,
    method: 'delete'

  })
}
// 生成列表详情
export function createDetail(params) {
  return request({
    url: '/member/manage/member-empty/create-detail/' + params.pkId,
    method: 'get'
  })
}
// 生成列表详情签呈用
export function createDetailPk(params) {
  return request({
    url: '/member/manage/member-empty/create-detail',
    method: 'get',
    params
  })
}
// 生成列表详情删除
export function createDelete(params) {
  return request({
    url: '/member/manage/member-empty/create-delete/' + params.detailIdList,
    method: 'delete'
  })
}
// 空单免签
export function createFree(data) {
  return request({
    url: '/member/manage/member-empty/create-free-sign',
    method: 'post',
    data
  })
}
// 注册列表
export function registerList(params) {
  return request({
    url: '/member/manage/member-empty-register/register-list',
    method: 'get',
    params
  })
}
// 正常异常
export function pointStatus(params) {
  return request({
    url: '/system/pub/enums/point-status',
    method: 'get',
    params
  })
}
// 生成架构
export function framework(params) {
  return request({
    url: '/member/manage/member-empty/framework/' + params.pkId + '/' + params.type,
    method: 'get'
  })
}
// 生成架构详情
export function framework_data(params) {
  return request({
    url: '/member/manage/member-empty/framework-data/' + params.detailId + '/' + params.type,
    method: 'get'
  })
}
// 空单注册添加
export function emptyAdd(data) {
  return request({
    url: '/member/manage/member-empty/add-data',
    method: 'post',
    data
  })
}
// 订单类型
export function emptyType(params) {
  return request({
    url: '/system/pub/enums/empty-order-type',
    method: 'get',
    params
  })
}

// 甩网列表
export function queryNet(data) {
  return request({
    url: '/member/manage/swing/query-net',
    method: 'post',
    data
  })
}

// 甩网配置详情列表
export function swingNetLogList(params) {
  return request({
    url: '/member/manage/swing/swingNetLog',
    method: 'get',
    params
  })
}

// 根据编号带出主键、名称
export function queryMember(data) {
  return request({
    url: '/member/manage/swing/query-member',
    method: 'post',
    data
  })
}
// 带出伞上所有值
export function queryMemberParent(data) {
  return request({
    url: '/member/manage/swing/query-member-parent',
    method: 'post',
    data
  })
}
// 会员甩网配置-保存
export function saveNet(data) {
  return request({
    url: '/member/manage/swing/save-net',
    method: 'put',
    data
  })
}
// 会员甩网配置-删除
export function deleteNet(data) {
  return request({
    url: '/member/manage/swing/delete-net/' + data,
    method: 'delete'

  })
}

// 政策币业务删除确认
export function delPolicyConfirm(data) {
  return request({
    url: '/member/manage/update-policy-currency/delConfirm',
    method: 'post',
    data
  })
}

// 删除政策币发起签呈
export function delPolicyPetition(data) {
  return request({
    url: '/member/manage/update-policy-currency/delPetition',
    method: 'post',
    data
  })
}

// 补贴状态下拉选
export function getPekStatus(params) {
  return request({
    url: '/system/pub/enums/perk-status',
    method: 'get',
    params
  })
}

// 会员补贴配置列表
export function getMemberPekList(params) {
  return request({
    url: '/report/manager/member-perk/list',
    method: 'get',
    params
  })
}

// 删除会员补贴配置
export function deleteMemberPerk(params) {
  return request({
    url: '/report/manager/member-perk/delete',
    method: 'delete',
    params
  })
}

// 会员补贴配置-确认反补
export function returnedMemberPerk(data) {
  return request({
    url: '/report/manager/member-perk/returned/' + data,
    method: 'post'

  })
}

// 会员补贴配置-添加
export function saveMemberPerk(data) {
  return request({
    url: '/report/manager/member-perk/save',
    method: 'post',
    data
  })
}

// 会员补贴配置-修改
export function updateMemberPerk(data) {
  return request({
    url: '/report/manager/member-perk/update',
    method: 'post',
    data
  })
}

// 会员补贴配置-单条详情
export function getMemberPerkRowDetail(params) {
  return request({
    url: '/report/manager/member-perk/detail/' + params.pkId,
    method: 'get'

  })
}

// 会员补贴配置-补贴明细列表
export function getMemberPerkDetailList(params) {
  return request({
    url: '/report/manager/member-perk/detail-member/' + params.pkId,
    method: 'get'

  })
}

// 会员补贴配置-补贴订单列表
export function getMemberPerkDetailOrderList(params) {
  return request({
    url: '/report/manager/member-perk/detail-order/' + params.pkId,
    method: 'get'

  })
}

// 会员续约列表
export function getmmeberRenewalList(params) {
  return request({
    url: '/member/manager/updateExpireStop/puCodeList',
    method: 'get',
    params
  })
}

// 会员续约列表-会员信息查询
export function getSpecialBusinessQuery(params) {
  return request({
    url: '/member/manager/updateExpireStop/specialBusinessQuery',
    method: 'get',
    params
  })
}

